> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Order Taxes

GET https://api.bigcommerce.com/stores/{store_hash}/v2/orders/{order_id}/taxes

Gets all order taxes using `order_id`.
Each tax applied to an order. This information can be useful for reporting purposes.
Pass in the query parameter `?details=true` to return extra details about order taxes.
`order_product_id` and `line_item_type` are also returned.

All values are read-only.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/orders/order-taxes/get-order-taxes

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `order_id` (integer, required) — ID of the order.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `page` (double, optional, default: 1) — The page to return in the response.
- `limit` (double, optional, default: 50) — Number of results to return.
- `details` (string, optional, default: false) — To return detailed tax information, pass in the details query.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

A list of the taxes applied to the order.

- `list of orderTaxes_Base`

## Types

### orderTaxes_Base

- `id` (integer, optional) — The unique numeric identifier of the taxes object.
- `order_id` (integer, optional) — The unique numeric identifier of the order to which the tax was applied. NOTE: Not included if the store was using the automatic tax feature.
- `order_address_id` (integer, optional) — The unique numeric identifier of the order address object associated with the order. NOTE: Not included if the store was using the automatic tax feature.
- `sales_tax_id` (string, optional) — A unique identifier for the applied tax rate. This may be a third-party tax provider's identifier.
- `tax_class_id` (integer, optional, nullable) — A unique numeric identifier for the tax class. If not provided or null, the default fee tax class from the control panel is used.
- `name` (string, optional) — The name of the tax class object.
- `class` (string, optional) — The name of the type of tax that was applied. NOTE: It will be "Automatic Tax" if automatic tax was enabled. It will be "API Tax Override" if the order was created with V2 Orders API.
- `rate` (string, optional) — The tax rate. The priority order in which the tax is applied (Float, Float-As-String, Integer)
- `priority` (double, optional) — The order in which the tax is applied.
- `priority_amount` (string, optional) — The amount of tax calculated on the order. (Float, Float-As-String, Integer)
- `line_amount` (string, optional) — (Float, Float-As-String, Integer)
- `order_pickup_method_id` (double, optional) — The ID of the order pickup method object (which contains pickup location details) associated with the order.
- `order_product_id` (string, optional) — If the `line_item_type` is `item` or `handling` then this field will be the order product id. Otherwise the field will return as null.
- `line_item_type` (enum, optional) — Type of tax on item.
  - Allowed values: `item`, `shipping`, `handling`, `gift-wrapping`
- `tax_rate_id` (integer, optional, deprecated) — The unique numeric identifier of the tax rate. This field has been deprecated, use sales_tax_id instead.

## Examples

**Response**

```json
[
  {
    "id": 13,
    "order_id": 138,
    "order_address_id": 39,
    "sales_tax_id": "TaxId123",
    "tax_class_id": 0,
    "name": "Tax",
    "class": "Default Tax Class",
    "rate": "8.0000",
    "priority": 0,
    "priority_amount": "17.6400",
    "line_amount": "17.6400",
    "order_pickup_method_id": 0,
    "tax_rate_id": 1
  },
  {
    "id": 14,
    "order_id": 138,
    "order_address_id": 40,
    "sales_tax_id": "TaxId123",
    "tax_class_id": 0,
    "name": "Tax",
    "class": "Default Tax Class",
    "rate": "8.0000",
    "priority": 0,
    "priority_amount": "4.4000",
    "line_amount": "4.4000",
    "order_pickup_method_id": 0,
    "tax_rate_id": 1
  }
]
```

**SDK Code**

```python response
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/taxes"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/orders/1/taxes';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/taxes"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/taxes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/taxes")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v2/orders/1/taxes', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/taxes");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/taxes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```